## packagekit 1.3.1

=== debian/changelog ===
packagekit (1.3.1-1ubuntu1) questing; urgency=medium

  * d/p/apt-Handle-gstreamer-64bit-suffix-on-any-architecture.patch:
    Fix matching GStreamer capabilities on ARM64 and other architectures
    (LP: #2060730)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 16 Oct 2025 09:51:30 +0200

packagekit (1.3.1-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * New upstream version: 1.3.1
    - Implement enable/disable support for deb822-style repo sources
    - Harmonize repo-ids between deb822 and legacy sources
    - Use 'pk_backend_job_details_full()' so download size is
      reported properly (Closes: #1026076)
  * Drop patches: Applied upstream
  * Drop build-dependency on gobject-introspection-bin (Closes: #1094624)

  [ Michael Biebl ]
  * Drop obsolete pkla configuration file (Closes: #1093073)

 -- Matthias Klumpp <mak@debian.org>  Tue, 22 Apr 2025 22:18:16 +0200
