=== debian/changelog ===
packagekit (1.3.2-1) unstable; urgency=medium

  * New upstream version: 1.3.2

 -- Matthias Klumpp <mak@debian.org>  Thu, 02 Oct 2025 22:06:52 +0200
