=== debian/control ===
--- 
+++ 
@@ -6,12 +6,11 @@
 Build-Depends: bash-completion,
                debhelper-compat (= 13),
                gir1.2-glib-2.0 (>= 1.36),
-               gobject-introspection (>= 1.36),
+               gobject-introspection (>= 1.80),
                gtk-doc-tools,
                libappstream-dev (>= 0.16.0),
                libapt-pkg-dev (>= 1.9.2),
                libarchive-dev,
-               libgirepository1.0-dev (>= 1.36),
                libglib2.0-dev (>= 2.54),
                libgstreamer-plugins-base1.0-dev,
                libgtk-3-dev (>= 3.2),
