=== debian/watch ===
version=4
https://www.freedesktop.org/software/PackageKit/releases/PackageKit-([\d\.]+)\.tar\.xz
