=== debian/changelog ===
packagekit (1.3.3-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.3.3-1.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 24 Nov 2025 20:56:08 +0000

packagekit (1.3.3-1) unstable; urgency=medium

  * New upstream version: 1.3.3
  * Install GIR typelib to the correct location (Closes: #1118515)
  * Install pkgctl, a new experimental command-line interface to
    PackageKit, so it can receive some testing
  * Update symbols file
  * d/control: Drop Rules-Requires-Root (no longer needed)

 -- Matthias Klumpp <mak@debian.org>  Mon, 24 Nov 2025 20:29:26 +0100

packagekit (1.3.2-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.3.2-1.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 05 Oct 2025 19:06:25 +0100

packagekit (1.3.1-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.3.1-1.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 22 Apr 2025 22:14:33 +0100

packagekit (1.3.0-3devuan1) unstable; urgency=medium

  * Merge tag debian/1.3.0-3.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 17 Feb 2025 15:59:13 +0000

packagekit (1.3.0-2devuan1) unstable; urgency=medium

  * Merge tag debian/1.3.0-2.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 09 Nov 2024 06:36:05 +0000

packagekit (1.3.0-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.3.0-1.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 16 Jun 2024 21:41:58 +0100

packagekit (1.2.8-2devuan1) unstable; urgency=medium

  * Merge tag debian/1.2.8-2.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 21 Feb 2024 07:30:51 +0000

packagekit (1.2.8-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.2.8-1.
  * Revert Debian "Fix FTBFS when systemd.pc changes systemdsystemunitdir"
  * Don't create systemd startup links (which were invalid anyway).

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 09 Nov 2023 18:00:10 +0000

packagekit (1.2.7-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.2.7-1.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 03 Sep 2023 10:32:12 +0100
