=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: packagekit
 Section: admin
 Priority: optional
-Maintainer: Matthias Klumpp <mak@debian.org>
-Uploaders: Julian Andres Klode <jak@debian.org>
-Build-Depends: bash-completion,
-               debhelper-compat (= 13),
+Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
+Uploaders:
+	Mark (LeePen) Hindley <mark@hindley.org.uk>,
+	Franco (nextime) Lanza <nextime@devuan.org>
+Build-Depends: debhelper-compat (= 13),
+               bash-completion,
                gir1.2-glib-2.0 (>= 1.36),
                gobject-introspection (>= 1.80),
                gtk-doc-tools,
@@ -14,20 +16,19 @@
                libglib2.0-dev (>= 2.54),
                libgstreamer-plugins-base1.0-dev,
                libgtk-3-dev (>= 3.2),
+               libjansson-dev,
                libplymouth-dev (>= 0.9.5) [linux-any],
                libpolkit-gobject-1-dev,
                libsqlite3-dev,
-               libsystemd-dev (>= 214) [linux-any],
                meson (>= 0.50),
                pkgconf,
                polkitd,
-               systemd-dev [linux-any],
                valac
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://www.freedesktop.org/software/PackageKit/
-Vcs-Git: https://salsa.debian.org/pkgutopia-team/packagekit.git
-Vcs-Browser: https://salsa.debian.org/pkgutopia-team/packagekit
+Vcs-Git: https://git.devuan.org/devuan/packagekit.git
+Vcs-Browser: https://git.devuan.org/devuan/packagekit
+Origin: Devuan
 
 Package: packagekit
 Architecture: any
