## packagekit 1.3.3-1trisquel2

=== debian/changelog ===
packagekit (1.3.3-1trisquel2) ecne; urgency=medium

  * Recommend trisquel-app-install over gnome software.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 21 Dec 2025 14:38:55 +0000
