=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: packagekit
 Section: admin
 Priority: optional
-Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
-Uploaders:
-	Mark (LeePen) Hindley <mark@hindley.org.uk>,
-	Franco (nextime) Lanza <nextime@devuan.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Uploaders: Julian Andres Klode <jak@debian.org>
 Build-Depends: debhelper-compat (= 13),
                bash-completion,
                gir1.2-glib-2.0 (>= 1.36),
@@ -20,15 +18,16 @@
                libplymouth-dev (>= 0.9.5) [linux-any],
                libpolkit-gobject-1-dev,
                libsqlite3-dev,
+               libsystemd-dev (>= 214) [linux-any],
                meson (>= 0.50),
                pkgconf,
                polkitd,
+               systemd-dev [linux-any],
                valac
 Standards-Version: 4.7.2
 Homepage: https://www.freedesktop.org/software/PackageKit/
-Vcs-Git: https://git.devuan.org/devuan/packagekit.git
-Vcs-Browser: https://git.devuan.org/devuan/packagekit
-Origin: Devuan
+Vcs-Git: https://salsa.debian.org/pkgutopia-team/packagekit.git
+Vcs-Browser: https://salsa.debian.org/pkgutopia-team/packagekit
 
 Package: packagekit
 Architecture: any
@@ -135,7 +134,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: gnome-software | apper | packagekit-installer
+Recommends: trisquel-app-install | gnome-software | apper | packagekit-installer
 Description: Install fonts automatically using PackageKit
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g. refreshing the cache, updating, installing and removing
@@ -152,7 +151,7 @@
          ${shlibs:Depends}
 Conflicts: gstreamer0.10-packagekit
 Replaces: gstreamer0.10-packagekit
-Recommends: gnome-software | apper | packagekit-installer
+Recommends: trisquel-app-install | gnome-software | apper | packagekit-installer
 Description: GStreamer plugin to install codecs using PackageKit
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g refreshing the cache, updating, installing and removing
