=== debian/changelog ===
packagekit (1.3.4-3) unstable; urgency=medium

  * Team upload

  [ Matthias Klumpp ]
  * Stop recommending removed packagekit-tools package (Closes: #1126735)
    (LP: #2139443)

  [ Jeremy Bícha ]
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 01 Feb 2026 14:22:02 -0500

packagekit (1.3.4-1) unstable; urgency=medium

  * New upstream version: 1.3.4
  * Drop packagekit-tools package
    - The pkcon/pkmon tools are obsolete, and the replacement `pkgcli` tool
      is available in the main package. The old split into a separate -tools
      package was for historical reasons only.
    - Nothing in Debian uses pkcon, and there is plenty of time to adjust any
      scripts while this change sits in unstable/testing. But if there is a
      huge, justifiable need to reintroduce pkcon, we can add the -tools
      package back (please file a bug in that case). The `pkgcli` utility
      should be an adequate replacement for both pkcon & pkmon.
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Wed, 28 Jan 2026 21:28:30 +0100
