=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: packagekit
 Section: admin
-Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Matthias Klumpp <mak@debian.org>
 Uploaders: Julian Andres Klode <jak@debian.org>
 Build-Depends: debhelper-compat (= 13),
                bash-completion,
+               docbook-xsl-ns,
                gir1.2-glib-2.0 (>= 1.36),
                gobject-introspection (>= 1.80),
                gtk-doc-tools,
@@ -24,7 +24,7 @@
                polkitd,
                systemd-dev [linux-any],
                valac
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://www.freedesktop.org/software/PackageKit/
 Vcs-Git: https://salsa.debian.org/pkgutopia-team/packagekit.git
 Vcs-Browser: https://salsa.debian.org/pkgutopia-team/packagekit
@@ -37,9 +37,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: plymouth (<< 0.9.5)
-Recommends: appstream,
-            packagekit-tools,
-            systemd
+Recommends: appstream
 Description: Provides a package management service
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g. refreshing the cache, updating, installing and removing
@@ -53,19 +51,6 @@
   - Unified developer and user interface on many distributions
   - Fine-grained permission control via PolicyKit
   - On-demand installation of missing system components
-
-Package: packagekit-tools
-Architecture: any
-Multi-Arch: foreign
-Depends: packagekit (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: Provides PackageKit command-line tools
- PackageKit allows performing simple software management tasks over a DBus
- interface e.g. refreshing the cache, updating, installing and removing
- software packages or searching for multimedia codecs and file handlers.
- .
- This package provides the PackageKit command-line tools.
 
 Package: packagekit-docs
 Architecture: all
@@ -134,7 +119,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: trisquel-app-install | gnome-software | apper | packagekit-installer
+Recommends: gnome-software | apper | packagekit-installer
 Description: Install fonts automatically using PackageKit
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g. refreshing the cache, updating, installing and removing
@@ -151,7 +136,7 @@
          ${shlibs:Depends}
 Conflicts: gstreamer0.10-packagekit
 Replaces: gstreamer0.10-packagekit
-Recommends: trisquel-app-install | gnome-software | apper | packagekit-installer
+Recommends: gnome-software | apper | packagekit-installer
 Description: GStreamer plugin to install codecs using PackageKit
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g refreshing the cache, updating, installing and removing
