=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,8 @@
 PK_CONFIGURE_FLAGS = \
 		-Dpackaging_backend=apt \
 		-Ddaemon_tests=false \
-		-Dsystemd=false \
-		-Doffline_update=false \
+		-Dsystemd=true \
+		-Doffline_update=true \
 		-Dgobject_introspection=true \
 		-Dman_pages=true \
 		-Dgtk_doc=true \
@@ -17,12 +17,13 @@
 		-Dbash_command_not_found=true \
 		-Dgstreamer_plugin=true \
 		-Dgtk_module=true \
-		-Dpkgctl=true \
 		-Dcron=false \
 		-Dpython_backend=false
 
 ifneq ($(DEB_HOST_ARCH_OS), linux)
 	PK_CONFIGURE_FLAGS += -Dsystemd=false -Doffline_update=false
+else
+	export deb_systemdsystemunitdir = $(shell pkg-config --variable=systemdsystemunitdir systemd | sed s,^/,,)
 endif
 
 LDFLAGS += -Wl,--as-needed
@@ -34,8 +35,8 @@
 	dh $@ --with gir
 
 extrainstallfiles-stamp:
-	grep -E -v 'lib/systemd|pk-offline-update|pk-debconf-helper' debian/packagekit.install > debian/packagekit.install.kfreebsd
-	grep -E -v 'lib/systemd|pk-offline-update|pk-debconf-helper' debian/packagekit.install > debian/packagekit.install.hurd
+	grep -E -v 'systemdsystemunitdir|pk-offline-update|pk-debconf-helper' debian/packagekit.install > debian/packagekit.install.kfreebsd
+	grep -E -v 'systemdsystemunitdir|pk-offline-update|pk-debconf-helper' debian/packagekit.install > debian/packagekit.install.hurd
 	touch $@
 
 override_dh_auto_configure:
@@ -72,3 +73,13 @@
 
 override_dh_gencontrol:
 	dh_gencontrol -- $(SUBSTVARS)
+
+override_dh_installsystemd:
+	# We don't want to stop/restart the packagekit service and especially not the
+	# packagekit-offline-update service, as PackageKit might be performing the
+	# package upgrade right now and would kill the running APT/dpkg transaction,
+	# leaving the system in a broken state.
+	# The PackageKit daemon is fine with being upgraded while running, and we do
+	# send it the `SuggestDaemonQuit` command to have it reload itself when it is
+	# able to (ensuring it doesn't crash after ejecting the backend and reloading it).
+	dh_installsystemd --no-start --no-restart-after-upgrade --no-stop-on-upgrade
